%define oname   nokogiri

Name:       ruby-%{oname}
Version:    1.5.5
Release:    %mkrel 4
Summary:    An HTML, XML, SAX, and Reader parser
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libxslt-devel

%description
Nokogiri is an HTML, XML, SAX, and Reader parser.  Among Nokogiri's
many features is the ability to search documents via XPath or CSS3
selectors. XML is like violence - if it doesn't solve your problems,
you are not using enough of it.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/ext/

%files
%{_bindir}/nokogiri
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/C_CODING_STYLE.rdoc
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.ja.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.ja.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 396229
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.5.5-3.mga3
+ Revision: 381143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.5.5-2.mga3
+ Revision: 313438
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.5.5-1.mga3
+ Revision: 280660
- New version 1.5.5

* Fri Jun 08 2012 shlomif <shlomif> 1.5.2-1.mga3
+ Revision: 257537
- Rename files away from percent signs

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Drop patch

* Mon Feb 07 2011 shikamaru <shikamaru> 1.4.3.1-2.mga1
+ Revision: 48511
- imported package ruby-nokogiri

